extend("skarlet:wolverine_comics");
loadTextures({
	"base": "skarlet:wolverine/base_weaponx",
    "damage": "skarlet:wolverine/damage_weaponx.tx.json",
    "layer1": "skarlet:wolverine/wolverine_weaponx_layer1",
    "layer2": "skarlet:wolverine/wolverine_weaponx_layer2",
    "helmet": "skarlet:wolverine/weaponx_helmet",
    "helmet_lights": "skarlet:wolverine/weaponx_helmet_lights"
});

function initEffects(renderer) {
    parent.initEffects(renderer);
    
    helmet_model = renderer.createResource("MODEL", "skarlet:wolverine/weaponx_helmet");
    helmet_model.texture.set("helmet", "helmet_lights");

    helmet = renderer.createEffect("fiskheroes:model").setModel(helmet_model);
    helmet.anchor.set("head");
}

function render(entity, renderLayer, isFirstPersonArm) {
    parent.render(entity, renderLayer, isFirstPersonArm);

    if (renderLayer == "HELMET") {
        helmet.render();
    }
}